<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF081F=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FFCE53=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus Game Time">
    <script state="run">
      <action>maincpu.pb@FF25D5=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@FFCE75=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@FFCE77=09</action>
    </script>
  </cheat>

  <cheat desc="Only One Coin left to collect Now!">
    <script state="on">
      <action>maincpu.pb@FFCED7=01</action>
      <action>maincpu.pb@FFCED9=01</action>
    </script>
  </cheat>

  <cheat desc="Only One Star left to collect Now!">
    <script state="on">
      <action>maincpu.pb@FFCEDB=01</action>
      <action>maincpu.pb@FFCEDD=01</action>
    </script>
  </cheat>

  <cheat desc="One hit to kill Truck Boss Now!">
    <script state="on">
      <action>maincpu.pb@FFCFA9=01</action>
    </script>
  </cheat>

  <cheat desc="One hit to kill Bombmom/Myan Boss Now!">
    <script state="on">
      <action>maincpu.pb@FFCFAB=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
